Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.parameter
Class InvalidParameterCardinalityException

    Object
      Throwable
          Exception
              RuntimeException
                  IllegalStateException
                      InvalidParameterCardinalityException

All Implemented Interfaces:
  Serializable

    public class InvalidParameterCardinalityException

extends IllegalStateException

Throws if adding a parameter value to a group would result in more parameters than the maximum occurence allowed. This operation may be throws during List.add(E) or List.remove(java.lang.Object) operation on the list returned by `ParameterValueGroup.values()`.

Note: This exception is of kind "illegal state" rather than "illegal argument" because it is not caused by a bad argument; it is rather a consequence of an parameter value group being "full".

Since:
  GeoAPI 2.0
See Also:
  `ParameterValueGroup.values()`, `GeneralParameterDescriptor.getMinimumOccurs()`, `GeneralParameterDescriptor.getMaximumOccurs()`, Serialized Form

Constructor Summary
`InvalidParameterCardinalityException(String message, String parameterName)` Creates an exception with the specified message and parameter name.

Method Summary
`String` | `getParameterName()` Returns the name of the parameter with invalid cardinality.

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidParameterCardinalityException

    public InvalidParameterCardinalityException(String message,
                                                String parameterName)

  Creates an exception with the specified message and parameter name.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `parameterName` - The name of the parameter with invalid cardinality.

Method Detail

### getParameterName

    public String getParameterName()

  Returns the name of the parameter with invalid cardinality.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.